PURGECENTRALCACHE(1p)

NAME
purgeCentralCache - Remove expired LemonLDAP::NG sessions from central storage

SYNOPSIS
  purgeCentralCache [options]

DESCRIPTION
This script must be run periodically on at least one LemonLDAP::NG hosts. It will search for expired SSO sessions, as well as secondary (SAML, CAS, OIDC) and utility (Captcha, Token) sessions, and remove them from the session backend.

OPTIONS

--help, -h
    Print a brief help message and exit.

--debug, -d
    Print additional diagnostics to STDERR

--force, -f
    Remove sessions if an error happened during their processing

--json, -j
    Log execution stats as JSON instead of human-readable text

SEE ALSO
<http://lemonldap-ng.org/>

AUTHORS

Xavier Guimard, <yadd@debian.org>

BUG REPORT
Use OW2 system to report bug or ask for features: <https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/issues>

DOWNLOAD
Lemonldap::NG is available at <https://lemonldap-ng.org/download>

COPYRIGHT AND LICENSE

Copyright (C) 2024 by Xavier Guimard, <yadd@debian.org>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.